<?php

namespace App\Livewire\Subscriptions;

use App\Models\Subscription;
use Livewire\Attributes\Layout;
use Livewire\Component;

#[Layout('layouts.dashboard')]
class Show extends Component
{
    public Subscription $subscription;

    public function mount(Subscription $subscription): void
    {
        $this->subscription = $subscription;
    }

    public function render(): \Illuminate\Contracts\View\View
    {
        return view('livewire.subscriptions.show');
    }
}


